Redmine - Defect #29918

Related issues section ignores the date format setting
2018-11-07 09:02 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.4.7

Resolution: Fixed Affected version: 3.4.0
Description

Start date and due date in the related issues section are always displayed in the format YYYY-MM-DD regardless of the date format
setting.

Bug #16 Edit () Log time Watch Copy Delete

a « Previous | 3 of 11 | Next »

Added by Redmine Admin 15 minutes ago. Updated 2 minutes ago.

Status: New Start date: 07 Nov 2018
Priority: Normal Due date: 14 Nov 2018
Assignee: - % Done: 0%
Category: - Estimated time:

Target version: -

Subtasks Add
Related issues Add
Precedes (5 days) Bug #17: b New [ 2018-11-22  2018-11-22 €D ver

Related issues:
Related to Redmine - Feature #3425: View progress bar of related issues Closed 2009-05-27

Associated revisions

Revision 17656 - 2018-11-29 16:51 - Jean-Philippe Lang

Related issues section ignores the date format setting (#29918).

Patch by Mizuki ISHIKAWA.

Revision 17657 - 2018-11-29 16:57 - Jean-Philippe Lang
Adds a test for #29918.

Revision 17663 - 2018-11-29 20:11 - Jean-Philippe Lang
Merged r17656 and r17657 to 3.4-stable (#29918).

History

#1 - 2018-11-08 01:05 - Mizuki ISHIKAWA

The following changes should solve the problem.

diff --git a/app/helpers/issues_helper.rb b/app/helpers/issues_helper.rb
index ele0fc559b..£f71ebl3b23 100644

--— a/app/helpers/issues_helper.rb

+++ b/app/helpers/issues_helper.rb

@@ -129,8 +129,8 @@ module IssuesHelper
content_tag('td', check_box_tag("ids[]", other_issue.id, false, :id => nil), :class => 'checkbox

L} ) +
content_tag('td', relation.to_s(@issue) {|other| link_to_issue(other, :project => Setting.cross_
project_issue_relations?)}.html_safe, :class => 'subject',6 :style => 'width: 50%') +
content_tag('td', other_issue.status, :class => 'status') +
= content_tag('td', other_issue.start_date, :class => 'start_date') +
= content_tag('td', other_issue.due_date, :class => 'due_date') +
+ content_tag('td', format_date (other_issue.start_date), :class => 'start_date') +
+ content_tag('td', format_date (other_issue.due_date), :class => 'due_date') +
content_tag('td', other_issue.disabled_core_fields.include? ('done_ratio') ? '' : progress_bar (ot

her_issue.done_ratio), :class=> 'done_ratio') +
content_tag('td', buttons, :class => 'buttons'),
:id => "relation-#{relation.id}",

#2-2018-11-08 01:16 - Go MAEDA

- Target version set to 4.1.0

LGTM. Setting the target version to 4.1.0.

#3 - 2018-11-08 01:24 - Go MAEDA

- Related to Feature #3425: View progress bar of related issues added

#4 - 2018-11-08 01:24 - Go MAEDA
- Target version changed from 4.1.0 to 3.4.7

- Affected version set to 3.4.0

format_date was removed in r15981 (#3425).

#5 - 2018-11-28 23:32 - Marius BALTEANU
We should add some assertions to source:trunk/test/functional/issues_controller_test.rb#L.1215 just to be sure that will not reproduce anymore.

#6 - 2018-11-29 17:01 - Jean-Philippe Lang
- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks. | also added a test as suggested by Marius.

BTW, in the subtasks list, we display the subject, status, assignee and done ratio. In the related issues list, we display the subject, status, start date,
due date and done ratio. Shouldn't we display the same attributes in both lists?

#7 - 2018-11-29 20:12 - Jean-Philippe Lang

- Status changed from Resolved to Closed
#8 - 2018-12-04 01:06 - Marius BALTEANU
Jean-Philippe Lang wrote:

BTW, in the subtasks list, we display the subject, status, assignee and done ratio. In the related issues list, we display the subject, status, start
date, due date and done ratio. Shouldn't we display the same attributes in both lists?

Indeed, could be an improvement, but | think that it'll be better to make the attributes configurable because the use cases and the relevant information
depends from instance to instance. For example, in my production environment, we modified the view in order to show the subject, status, assignee,
estimated and spent because we do not use done ratio, start date and due date. Also, other users requested this, please see #11969 and #5130.
